/*
 * Moveable2D.java
 *
 * Created on November 10, 2004, 1:11 PM
 */

package JSciDraw.interfaces;

import JSci.maths.AbstractDoubleVector;
import JSci.physics.Force;
import JSciDraw.physics.*;
/**
 *
 * @author  Przemek
 */
public interface MoveableObject {
    public void calculateForces(double dt);
    public void translateBranch(AbstractDoubleVector t);
    public void applyForceField(ForceField p);    
    public void moveBranch(double dt);
}
